send-buttons

Essa rota é utilizado para enviar uma mensagem com arquivo.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

1 - Exemplo de Request

{
  "buttonsId": [
    {
      "id": "id1",
      "title": "<Button 1>"   
    },
    {
      "id": "id2",
      "title": "<Button 2>" 
    },
    {
      "id": "id3",
      "title": "<Button 3>"
    }
  ],
  "title": "Sua opinião é sempre bem-vinda :)\nConta pra gente: você conseguiu achar o que procurava aqui?",
  "to": "558388334086"
}

2 - Exemplo de response

{
  "data": {
    "control": "9bb744c4-c77e-446d-9d3f-024b8f0556df",
    "creationDate": "18-01-2022T21:07:01",
    "message": "Mensagem encaminhada para fila de processamento"
  },
  "errors": [],
  "links": []
}

3 - Exemplo de Status da mensagem enviada ao webhook

A - SENT

{
  "id": "ed937552-e589-4f2c-95a3-ba95a5424f66",
  "channel": "whatsapp",
  "type": "buttons",
  "status": "SENT",
  "to": "5511999999999",
  "from": "5511888888888",
  "sendDate": "2022-01-18T21:08:23.000-0300",
  "contactUser": {
    "number": "5511888888888"
  },
  "contactBusiness": {
    "number": "5511999999999",
    "name": "Moorse",
    "profileImageUrl": "https://pps.whatsapp.net/v/t61.24694-24/s96x96/265562106_483654506420518_8069178589343189853_n.jpg?ccb=11-4&oh=01_AVx9xLGmb3nBXUIXArBdUAok-n9X9ubmEbwZNIh-mmtxVA&oe=61EC0B39"
  },
  "urlFile": "",
  "integrationId": "73eb6f77-75e2-46eb-9063-b25a0d44f895"
}

b - DELIVERED

{
  "id": "ed937552-e589-4f2c-95a3-ba95a5424f66",
  "channel": "whatsapp",
  "type": "buttons",
  "status": "DELIVERED",
  "to": "5511999999999",
  "from": "5511888888888",
  "receivedDate": "2022-01-18T21:08:23.000-0300",
  "contactUser": {
    "number": "5511999999999"
  },
  "contactBusiness": {
    "number": "5511888888888",
    "name": "Moorse",
    "profileImageUrl": "https://pps.whatsapp.net/v/t61.24694-24/s96x96/265562106_483654506420518_8069178589343189853_n.jpg?ccb=11-4&oh=01_AVx9xLGmb3nBXUIXArBdUAok-n9X9ubmEbwZNIh-mmtxVA&oe=61EC0B39"
  },
  "urlFile": "",
  "integrationId": "73eb6f77-75e2-46eb-9063-b25a0d44f895"
}

c - READ

{
  "id": "ed937552-e589-4f2c-95a3-ba95a5424f66",
  "channel": "whatsapp",
  "type": "buttons",
  "status": "READ",
  "to": "5511999999999",
  "from": "5511888888888",
  "readDate": "2022-01-18T21:08:46.000-0300",
  "contactUser": {
    "number": "5511999999999"
  },
  "contactBusiness": {
    "number": "5511888888888",
    "name": "Moorse",
    "profileImageUrl": "https://pps.whatsapp.net/v/t61.24694-24/s96x96/265562106_483654506420518_8069178589343189853_n.jpg?ccb=11-4&oh=01_AVx9xLGmb3nBXUIXArBdUAok-n9X9ubmEbwZNIh-mmtxVA&oe=61EC0B39"
  },
  "urlFile": "",
  "integrationId": "73eb6f77-75e2-46eb-9063-b25a0d44f895"
}

d - RECEIVED

{
  "id": "29619689-c6fa-4bba-bf94-bc3fa629a8bb",
  "channel": "whatsapp",
  "type": "interactive",
  "status": "RECEIVED",
  "to": "5511999999999",
  "from": "5511888888888",
  "answeredDate": "2022-01-18T21:09:14.000-0300",
  "content": "Sim",
  "contactUser": {
    "number": "5511999999999",
    "name": "João"
  },
  "contactBusiness": {
    "number": "5511888888888",
    "name": "Moorse",
    "profileImageUrl": "https://pps.whatsapp.net/v/t61.24694-24/s96x96/265562106_483654506420518_8069178589343189853_n.jpg?ccb=11-4&oh=01_AVx9xLGmb3nBXUIXArBdUAok-n9X9ubmEbwZNIh-mmtxVA&oe=61EC0B39"
  },
  "integrationId": "73eb6f77-75e2-46eb-9063-b25a0d44f895"
}
Path Params
string
required

(Obrigatório) Id da integração do WhatsApp

Body Params
string
required
Defaults to 551188888888

Número do contato para onde a mensagem vai ser enviada.

string
required
Defaults to titulo

Título do botão

string
Defaults to subtitle

Subtitulo do botão

buttons
array of strings
Defaults to Botões

Lista de botões

buttons
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json